﻿#!/usr/bin/python
# Copyright (c) 2017, Tobias Mueller tm(at)tm3d.de
# All rights reserved. 
# 
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions are 
# met: 
# 
#  * Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer. 
#  * Redistributions in binary form must reproduce the above copyright 
#    notice, this list of conditions and the following disclaimer in the 
#    documentation and/or other materials provided with the 
#    distribution. 
#  * All advertising materials mentioning features or use of this 
#    software must display the following acknowledgement: This product 
#    includes software developed by tm3d.de and its contributors. 
#  * Neither the name of tm3d.de nor the names of its contributors may 
#    be used to endorse or promote products derived from this software 
#    without specific prior written permission. 
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

execfile("owlib.py")

devlist=owfind("");
dc=len(devlist)					
if dc==0:
	print "No 1-Wire Device found"
	exit(0)
i=1
#for s in devlist:
#	print("%i) %s" %(i,s))
#	i=i+1
#n=int(raw_input("No. of Device: "))
#n=n-1
#if (n>dc-1)or(n<0):
#		exit(0)
#s=devlist[n]
devobj=[];
for s in devlist:
	if (s[0:2]=="28"):
		dev=owDS18B20(s)
	elif (s[0:2]=="20"):
		dev=owDS2450(s)
	elif (s[0:2]=="26"):
		dev=owDS2438(s)
	elif (s[0:2]=="1d"):
		dev=owDS2423(s)
	else:
		 continue
	dev.readConfig()
	dev.convertAll()
	devobj.append(dev)

str=""
for dev in devobj:	
	print dev.getChips()
	print dev.getProperties()
	print dev.getUnits()

while (1):
	for dev in devobj:	
		dev.convertAll()
		print dev.owid,dev.values
	print 
	time.sleep(3)



#P0=Press/((1-h/44330)**5.255)
